#ifndef _ActionSystem_h
#define _ActionSystem_h

#include <glibmm/ustring.h>
#include <sigc++/sigc++.h>

/*
 *	A long terme cette class vas servir d'interface 
 *	pour d'autres languages (je pense a LUA)
 *	pour rendre le script plus simple
 *	avec un system de nom + argument
 *
 *	ex:
 *	execute("search", "toto")
 *	execute("open", "/home/toto/subtitle.srt")
 *	execute("change-fps", 25, 23.279)
 *	...
 */
class ActionSystem
{
	sigc::signal<void, Glib::ustring> m_signal_emit;
	sigc::signal<void, Glib::ustring, bool> m_signal_sensitive;
protected:
	/*
	 *
	 */
	ActionSystem();
	
	/*
	 *
	 */
	~ActionSystem();


public:

	/*
	 *	instance
	 */
	static ActionSystem& getInstance();

	/*
	 *	execute une action a partir du nom
	 */
	void execute(const Glib::ustring &name);

	/*
	 *
	 */
	sigc::signal<void, Glib::ustring>& signal_emit();

	/*
	 *	enable/disable action
	 */
	void set_sensitive(const Glib::ustring &name, bool state);

	/*
	 *
	 */
	sigc::signal<void, Glib::ustring, bool>& signal_sensitive_changed();
};

#endif//_ActionSystem_h

