#ifndef _Waveform_h
#define _Waveform_h

#include <glibmm.h>
#include <vector>


class Waveform
{
public:
	Waveform();
	~Waveform();

	/*
	 *
	 */
	guint get_size();

	/*
	 *	long = SubtitleTime.totalmsec
	 */
	gint64 get_duration();

	/*
	 * long = SubtitleTime.totalmsecs
	 */
	double get_channel(unsigned int channel, guint64 pos);

	/*
	 *
	 */
	unsigned int get_n_channels();

	/*
	 *
	 */
	bool open(const Glib::ustring &uri);

	/*
	 *
	 */
	bool save(const Glib::ustring &uri);

	/*
	 *	l'uri de la video source du waveform 
	 */
	Glib::ustring get_video_uri();

	/*
	 *	
	 */
	Glib::ustring get_uri();

	/*
	 *
	 */
	void reference() const;
	void unreference() const;

//protected:

	Glib::ustring	m_waveform_uri;
	Glib::ustring m_video_uri;
	guint	m_n_channels;
	std::vector<double> m_channels[2];
	gint64	m_duration;
protected:
	mutable int ref_count_;
};

#endif//_Waveform_h

