#include "OpenMovieUI.h"
#include "utility.h"
#include "Config.h"
#include <gtkmm/filechooserdialog.h>

/*
 *
 */
OpenMovieUI::OpenMovieUI()
:Gtk::FileChooserDialog(_("Open Movie"), Gtk::FILE_CHOOSER_ACTION_OPEN)
{
	Gtk::FileFilter m_filter;
	m_filter.set_name("Movies");

	m_filter.add_pattern("*.avi");
	m_filter.add_pattern("*.wma");
	m_filter.add_pattern("*.mkv");
	m_filter.add_pattern("*.mpg");
	m_filter.add_pattern("*.mpeg");

	m_filter.add_mime_type("video/*");
	//...
	add_filter(m_filter);

	Gtk::FileFilter m_filterAll;
	m_filterAll.set_name("ALL");
	m_filterAll.add_pattern("*.*");
	add_filter(m_filterAll);
	
	
	add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
	add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);
	set_default_response(Gtk::RESPONSE_OK);


	Config &cfg = Config::getInstance();

	Glib::ustring floder;
	if(cfg.get_value_string("dialog-last-folder", "dialog-open-movie", floder))
		set_current_folder_uri(floder);
}

/*
 *
 */
OpenMovieUI::~OpenMovieUI()
{
	Glib::ustring floder = get_current_folder_uri();

	Config::getInstance().set_value_string("dialog-last-folder", "dialog-open-movie", floder);
}
