#include "Statusbar.h"
#include <iostream>


/*
 *
 */
Statusbar::Statusbar(BaseObjectType *cobject, const Glib::RefPtr<Gnome::Glade::Xml>& refGlade)
:Gtk::Statusbar(cobject)
{
}

/*
 *
 */
Statusbar::~Statusbar()
{
	if(m_connection_timeout)
		m_connection_timeout.disconnect();
}

/*
 *
 */
void Statusbar::push_text(const Glib::ustring &text)
{
	if(m_connection_timeout)
		m_connection_timeout.disconnect();

	pop_text();

	push(text);
}

/*
 *
 */
void Statusbar::pop_text()
{
	if(m_connection_timeout)
		m_connection_timeout.disconnect();

	pop();
}

/*
 *	affiche un message pendant 3 sec
 */
void Statusbar::flash_message(const Glib::ustring &text)
{
	if(m_connection_timeout)
		m_connection_timeout.disconnect();

	push_text(text);

	m_connection_timeout = Glib::signal_timeout().connect(
			sigc::mem_fun(*this, &Statusbar::on_timeout), 3000);

}

bool Statusbar::on_timeout()
{
	pop_text();
	m_connection_timeout.disconnect();
	return false;
}


